Skip to navigation

List all industry subcategories

Lists NAICS industry subcategories along with the name of each parent category. Use it to find the industry classification to attach when creating or editing a legal entity with POST /legal-entities or PATCH /legal-entities/{id}.

Token scopes: legal-entity:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.deel.training/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

limitintegerOptional>=1
Maximum number of items to return per page.
orderenumOptionalDefaults to ASC
Sorting order of the results.
Allowed values:
sort_byenumOptionalDefaults to categoryName
Field used to sort the results.
Allowed values:
cursorstringOptional
Cursor used for paginating to the next page of results.

Response

List of industry subcategories.
datalist of objects
List of industry subcategories.
has_moreboolean
Indicates if there are more results available.
next_cursorstring or null
Cursor to fetch the next page of results.
total_countinteger
Total number of results matching the query.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error